package com.huigou.topsun.sap.nonProdApply.domain.vo;

import lombok.Data;

import javax.persistence.Column;
import java.math.BigDecimal;

@Data
public class NonProdApplyBasicVo extends NonProdApplyDeptVo {


    /**
     * 物料编码
     */
    private String matnr;

    //行业
    private String mbrsh;
    /**
     * 物料类型
     */
    private String mtart;

    /**
     * 物料组
     */
    private String matkl;

    /**
     * 集团删除
     */
    private String lvorm;

    /**
     * 产品组
     */
    private String spart;

    /**
     * 一般销售项次组
     */
    private String mtposMara;

    /**
     * 汉语品名
     */
    private String maktx;

    /**
     * 汉语语言
     */
    private String spars;

    /**
     * 英语品名
     */
    private String maktxEn;

    /**
     * 英语语言码
     */
    private String sparsEn;

    /**
     * 适用标准
     */
    private String normt;

    /**
     * 批次管理
     */
    private String xchpf;

    /**
     * 包装物料组
     */
    private String magrv;

    /**
     * 基本计量单位
     */
    private String meins;

    /**
     * 毛重
     */
    private String brgew;

    /**
     * 净重
     */
    private String ntgew;

    /**
     * 重量单位
     */
    private String gewei;

    /**
     * 体积
     */
    private String volum;

    /**
     * 体积单位
     */
    private String voleh;

    /**
     * 存储条件
     */
    private String raube;

    /**
     * 有效期标识
     */
    private String iprkz;

    /**
     * 最小货架寿命
     */
    private String mhdrz;

    /**
     * 总有效期
     */
    private String mhdhb;

    private String werks; //工厂
    private String lgort; //库存地点
    private String vkorg; //销售组织
    private String vtweg; //分销渠道
    private String lgnum;  //仓库号
    private String lgtyp;  //存储类型

    private String matklName;
    private String matklTypeName;
    private String matklType;

    private String spartName;

    private String werksName;

    private String lgortName;

    private String vkorgName;

    private String vtwegName;

    private String lgnumName;

    private String lgtypName;

    /**
     * 类型
     */
    private String klart;

    /**
     * 分类
     */
    private String classify;

    private String meinsName;
    private String groes;
    private String maktxRemZh;
    private String maktxRemEn;

//销售视图字段=============================================================-----------
    /**
     * 销售组织
     */
   // private String vkorg;

    /**
     * 分销渠道
     */
   // private String vtweg;

    /**
     * 销售计量单位
     */
    private String vrkme;

    /**
     * 销售计量单位转换分母
     */
    private String umrenSale;

    /**
     * 销售计量单位转换分子
     */
    private String umrezSale;

    /**
     * 转换分母
     */
    private String umren;

    /**
     * 转换分子
     */
    private String umrez;

    /**
     * 交货工厂
     */
    private String dwerk;

    /**
     * 税收发运国
     */
    private String aland;

    /**
     * 税分类
     */
    private String taxkm;

    /**
     * 统计组
     */
    private String versg;

    /**
     * 物料定价组
     */
    private String kondm;

    /**
     * 会计科目组
     */
    private String ktgrm;

    /**
     * 产品层级
     */
    private String prodh;

    /**
     * 版式
     */
    private String mvgr1;

    /**
     * 品牌
     */
    private String mvgr2;

    /**
     * 用途
     */
    private String mvgr3;

    /**
     * 备用
     */
    private String mvgr4;

    /**
     * 备用
     */
    private String mvgr5;

    /**
     * 销售项次组
     */
    private String mtpos;

    /*
     *批次管理
     */
   // private String xchpf;

    /**
     * 运输组
     */
    private String tragr;

    /**
     * 装载组
     */
    private String ladgr;
    private String ladgrName;

    private String dwerkName;

    private String alandName;

    private String vrkmeName;

// 采购=======================================----------------------------------
    /**
     * 采购计量单位
     */
    private String bstme;
    private String bstmeName;

    /**
     * 转换分母（采购）
     */
    private String umrenPurch;

    /**
     * 转换分子（采购）
     */
    private String umrezPurch;

    /**
     * 默认采购组
     */
    private String ekgrp;
    private String ekgrpName;

    /**
     * MPN参数
     */
    private String mprof;

// MRP=======================================----------------------------------

    // private String lgort; //库存地点
    // private String lgortName; //库存地点

    //private String werks; //MRP组
    /**
     * MRP组
     */
    private String disgr;

    /**
     * MRP类型
     */
    private String dismm;

    /**
     * 重订货点
     */
    private String minbe;

    /**
     * MRP控制者
     */
    private String dispo;

    /**
     * 批量规模
     */
    private String disls;

    /**
     * 固定批量
     */
    private String bstfe;

    /**
     * 最大批量
     */

    private String bstma;

    /**
     * 最小批量
     */
    private String bstmi;

    /**
     * 最大存货水平
     */
    private String mabst;

    /**
     * 设入值
     */
    private String bstrf;

    /**
     * 获取类型
     */
    private String beskz;

    /**
     * 特殊获取方式
     */
    private String sobsl;

    /**
     * 默认生产库存地
     */
    private String lgpro;
    private String lgproName;

    /**
     * 倒冲标志
     */
    private String rgekz;

    /**
     * 默认采购收货库存地
     */
    private String lgfsb;
    private String lgfsbName;

    /**
     * 收货处理天数
     */
    private String webaz;

    /**
     * 自制时间
     */

    private String dzeit;

    /**
     * 外部采购交货时间
     */
    private String plifz;

    /**
     * 排程边际码
     */
    private String fhori;

    /**
     * 安全库存
     */
    private String eisbe;

    /**
     * 最小安全库存
     */
    private String eislo;

    /**
     * 策略组
     */
    private String strgr;

    /**
     * 可用性检查组
     */
    private String mtvfp;

    /**
     * 补货提前天数
     */
    private String wzeit;

    /**
     * BOM选择方法
     */
    private String altsl;

    /**
     * 独立/集中
     */
    private String sbdkz;

    /**
     * 库存地MRP标识
     */
    private String diskz;



    /**
     * 消耗模式
     */
    private String vrmod;

    // * 逆推消耗期间
    private String vint1;

    /**
     * 顺推消耗期间
     */
    private String vint2;

    /**
     * 综合MRP
     */
    private String miskz;

    //期间标识
    private String perkz;

  //生产====================================================---------------
    /**
     * 投料计量单位
     */
    private String ausme;
    private String ausmeName;

    /**
     * 转换分母（生产）
     */
    private String umrenProd;

    /**
     * 转换分子（生产）
     */
    private String umrezProd;

    /**
     * 生产计划参数文件
     */
    private String sfcpf;

    /**
     * 过账到质检
     */
    //private String insmk;

    //生产主管
    private String fevor;

    //存储管理==============================================


    /**
     * 库存地点（质检）
     */


    private String lgortQm;

    private String lgortQmName;
    /**
     * 序列号参数
     */
    private String sernp;

    /**
     * 序列号水平
     */
    private String serlv;

    /**
     * 利润中心
     */
    private String prctr;

    /**
     * 过账到质检
     */
    private String insmk;

    //过期日期
    private String sledBbd;

    //仓库管理==========================================================================================
    /**
     * 工厂（利润中心）
     */
    /**
     * 库存地点
     */
    // private String lgort;
    // private String lgortName;

    private String lgortProfit;

    private String lgortProfitName;
    /**
     * 仓库号
     */
   // private String lgnum;

    /**
     * 存储类型
     */
   // private String lgtyp;
   // private String lgtypName;

    /**
     * 存货下架存储类型
     */
    private String ltkza;
    private String ltkzaName;

    /**
     * 存货上架存储类型
     */
    private String ltkze;
    private String ltkzeName;

    /**
     * 存储分区标识
     */
    private String lgbkz;
    private String lgbkzName;

    /**
     * 仓库设施1存储数量
     */
    private String lhmg1;

    /**
     * 仓库设施1存储单位
     */
    private String lhme1;
    private String lhme1Name;

    /**
     * 仓库设施1类型
     */
    private String lety1;
    //财务核算==========================================================================================
    /**
     * 评估分类
     */

    private String bklas;

    /**
     * 价格确定
     */

    private String mlast;

    /**
     * 价格控制
     */

    private String vprsv;

    /**
     * 定价基数
     */

    private String peinh;

    /**
     * 移动平均价
     */
    private String verpr;

    /**
     * 标准价
     */
    private String stprs;


    /**
     * 数量结构
     */
    private String ekalr;

    /**
     * 不参与成本核算
     */

    private String ncost;

    /**
     * 物料来源
     */
    private String hkmat;

    /**
     * 差异码
     */
    private String awsls;

    //销售评估类
    private String eklas;

    /**
     *EP BOM原材料信息
     */
    //长度cm
    private BigDecimal length;

    //宽度cm
    private BigDecimal widthCm;

    //厚度cm
    private BigDecimal thickness;

    //克重g
    private BigDecimal weight;

    //单层厚
    private BigDecimal singleThickness;

    //工厂特定的物料状态
    private String mmsta;

    //允许未限制的过量交货
    private String ueetk;

    private String disableReason;

    private String enableReason;

}
