package com.huigou.topsun.sap.purchase.domain.query;

import com.huigou.data.domain.query.QueryAbstractRequest;
import lombok.Data;

import javax.persistence.Column;
import java.util.Date;

/**
 * @Auther: xin.lu
 * @Date: 2023/12/27/10:45
 * @Description:
 */
@Data
public class SapPurchaseQueryRequest extends QueryAbstractRequest {
    /**
     * 需求跟踪编号
     */
    private String billCode;
    /**
     * pr类型
     */
    private String bsart;

    /**
     * 采购申请编号
     */
    private String banfn;

    protected Date fillinBeginDate;

    protected Date fillinEndDate;

    private String statusKind;

    /**
     * 工厂
     */
    private String werks;

    /**
     * 工厂名称
     */
    private String name1;

    /**
     * 库存地点
     */
    private String lgort;

    /**
     * 库存地点名称
     */
    private String lgobe;

    /**
     * 物料编号
     */
    private String matnr;

    /**
     * 短文本
     */
    private String txz01;

    /**
     * 要求交货日期
     */
    private Date lfdatBegin;
    private Date lfdatEnd;

    /**
     * 申请日期
     */
    private Date badatBegin;
    private Date badatEnd;

    /**
     * 申请人ID
     */
    private String afnamId;

    /**
     * 申请人
     */
    private String afnam;

    /**
     * 申购人部门
     */
    private String afnamDeptName;

    /**
     * 申购人部门ID
     */
    private String afnamDeptId;
}
