package com.huigou.topsun.sap.purchaseOrder.domain.vo;

import lombok.Data;

/**
 * @author xin.lu
 * @Description: TODO
 * @date 2025/2/2114:20
 */
@Data
public class ProductKey {
    private final String productCode;
    private final String wempf;

    public ProductKey(String productCode, String wempf) {
        this.productCode = productCode;
        this.wempf = wempf;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        ProductKey that = (ProductKey) o;
        return productCode.equals(that.productCode) && wempf.equals(that.wempf);
    }

    @Override
    public int hashCode() {
        return java.util.Objects.hash(productCode, wempf);
    }
}
