<%@ page language="java" contentType="text/html; charset=utf-8" %>
<%@taglib uri="/WEB-INF/taglib.tld" prefix="x" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<html>

<head>
    <script>
       var dictUsages ="${dictUsages}";
       var isAll ="${isAll}";
       var applyType="${applyType}";
    </script>
    <x:base include="layout,dialog,grid,tree,combox,commonTree,date,attachment"/>
    <x:script src='/biz/topsun/sap/nonProdApply/nonProdApplyNext.js'/>
</head>

<body>
<x:hidden name="isDetailPage" value="false"/> <!--是否是详情页-->
<x:hidden name="deptCode" value="false"/> <!--是否是详情页-->
<x:hidden name="frontPicturePath"/>
<x:hidden name="backPicturePath"/>

<div class="container-fluid" style="padding: 10px;">
    <c:if test="${applyType==0||applyType==3}">
       <x:billTitle title="非产品/非半成品类物料基本信息维护" needStatus="false" needPerson="true"/>
    </c:if>
    <c:if test="${applyType==1}">
        <x:billTitle title="非产品/非半成品类物料变更基本信息维护" needStatus="false" needPerson="true"/>
    </c:if>
    <c:if test="${applyType==2}">
        <x:billTitle title="非产品/非半成品类物料扩展基本信息维护" needStatus="false" needPerson="true"/>
    </c:if>
    <form class="hg-form" method="post" action="" id="submitForm">
        <x:hidden name="active" value=""/> <!--状态-->
        <x:hidden name="meId" value=""/> <!--状态-->
        <x:hidden name="status" /> <!--状态-->
        <x:hidden name="busiLens" />
        <div style="float: right; margin-right: 10px;display: none;" class="btn-group" id="buttonBox">
            <button id="save" title="" type="button" onclick="saveForm(0)" class="btn btn-gray"><i
                    class="fa fa-save"></i>保存
            </button>

            <button id="submit" hidden="true" title="" type="button" onclick="saveForm(1)" class="btn btn-gray"><i
                    class="fa fa-check-circle-o"></i>提交
            </button>


<%--            <button id="back" title="" type="button" onclick="clearForm()" class="btn btn-gray"><i--%>
<%--                    class="fa fa-reply"></i>撤销--%>
<%--            </button>--%>
<%--          <c:if test="${active==1}">--%>
<%--            <button id="showChart" title="" type="button" onclick="confirmForm(2)" class="btn btn-gray"><i--%>
<%--                    class="fa fa-sitemap"></i>确认--%>
<%--            </button>--%>
<%--              <button id="showChart" title="" type="button" onclick="confirmForm(3)" class="btn btn-gray"><i--%>
<%--                    class="fa fa-reply"></i>回退--%>
<%--              </button>--%>
<%--           </c:if>--%>
        </div>
        <br/>

        <div class=" border-left-top" style="margin-top: 20px;display: none;" id="causeBox">
            <div class=" gray-bg">
                <div class="col-xs-2 " style="text-align: center;margin-top: 30px">
                    <h4>驳回历史</h4>
                </div>
                <div class="hg-form-cols" id="cause-details-box"></div>
            </div>
        </div>

        <x:hidden name="applyDeptId"/>
        <x:hidden name="id"/>
        <x:hidden name="businessCode"/>
        <x:title title="基本信息" name="group"/>
        <div class="hg-form-cols">
            <div class="hg-form-row">
                <x:inputC name="billCode" label="申请单编号" labelCol="1" readonly="true" fieldCol="2"/>
                <x:selectC name="statusId" label="批准状态" dictionary="bizBillStatus" disabled="true" labelCol="1"
                           fieldCol="2"/>
                <x:inputC name="personMemberName" label="填写人" readonly="true" labelCol="1" fieldCol="2"/>
                <x:inputC name="createdDate" label="填写日期" readonly="true" wrapper="dateTime" labelCol="1" fieldCol="2"/>
            </div>
            <div class="hg-form-row">
                <x:radioC name="maintenanceType" label="维护类型" labelCol="1" fieldCol="11" dictionary="maintainType" disabled="true"/>
            </div>
        </div>
        <x:title title="物品总体内容" name="group"/>
        <div class="hg-form-cols" id="totalContentDiv">
            <div class="hg-form-row">
                <x:inputC name="genericName" label="通用品名" labelCol="1" fieldCol="5"/>
<%--               <c:if test="${kind=='product'}">--%>
<%--                  <x:inputC name="applicableStandard" label="适用标准(国标)" labelCol="1" fieldCol="2"/>--%>
<%--               </c:if>--%>
<%--                <c:if test="${kind!='product'}">--%>
<%--                    <x:inputC name="applicableStandard" label="适用行业标准" labelCol="1" fieldCol="2"/>--%>
<%--                </c:if>--%>
                <x:inputC name="applicableStandard" label="适用行业标准" labelCol="1" fieldCol="2"/>
                <x:hidden name="baseUnit"/>
                <x:inputC name="baseUnitName" label="基本计量单位" labelCol="1" fieldCol="2" readonly="true"/>
                <x:inputC name="specifications" label="规格" labelCol="1" fieldCol="2"/>
                <x:inputC name="material" label="材质" labelCol="1" fieldCol="2"/>
                <x:inputC name="design" label="版式" labelCol="1" fieldCol="2"/>
                <x:inputC name="size" label="尺码" labelCol="1" fieldCol="2"/>
                <x:inputC name="brand" label="品牌" labelCol="1" fieldCol="2"/>
                <x:selectC name="itemAttributes" label="物品属性" labelCol="1" fieldCol="2" dictionary="suppliesType"/>
                <x:inputC name="materialUsage" label="用途" labelCol="1" fieldCol="5"/>

            </div>
            <div class="hg-form-row">
                <x:textareaC rows="3" name="textDescription" label="情况说明" labelCol="1" fieldCol="11" readonly="false"/>
            </div>
        </div>
        <x:title title="维护基本信息" name="group"/>
        <div class="hg-form-cols" id="basicInfoDiv">
            <div class="hg-form-row">
                <x:inputC name="matnr" label="物品编码" readonly="true" labelCol="1" fieldCol="2"/>
                <x:inputC name="copyMatnr" label="参考物料" labelCol="1" fieldCol="2" wrapper="select"/>
                <!--x:inputC name="mbrsh" label="行业"  labelCol="1" fieldCol="2"/-->
                <x:selectC name="mtart" label="物品类型" required="true" labelCol="1" fieldCol="2" dictionary="suppliesType"/>
                <x:inputC name="matklTypeName" label="物料组" required="true" labelCol="1" fieldCol="2" wrapper="select"/>
                <x:hidden name="matklType"/>
                <x:inputC name="matklName" label="物料组小类" required="true" labelCol="1" fieldCol="2" wrapper="select"/>
                <x:hidden name="matkl"/>
                <x:inputC name="groes" label="规格" required="true" labelCol="1" fieldCol="2"/>
                <x:inputC name="spartName" label="产品组" required="true" labelCol="1" fieldCol="2" wrapper="select"/>
                <x:hidden name="spart"/>
                <x:selectC name="mtposMara" label="项目类别组" labelCol="1" fieldCol="2" dictionary="mtposMara"/>
                <x:selectC name="xchpf" label="批次管理" labelCol="1" fieldCol="2" dictionary="xchpf" required="true"/>
                <x:inputC name="maktx" label="汉语品名" required="true" labelCol="1" fieldCol="5"/>
                <!--x:inputC name="magrv" label="包装物料组" labelCol="1" fieldCol="2"/-->

                <x:inputC name="maktxEn" label="英语品名" labelCol="1" fieldCol="2"/>
                <c:if test="${applyType==1}">
                    <x:inputC name="meinsName" label="基本计量单位" labelCol="1" fieldCol="2" wrapper="select" readonly="true"  required="true"/>
                </c:if>
                <c:if test="${applyType!=1}">
                    <x:inputC name="meinsName" label="基本计量单位" labelCol="1" fieldCol="2" wrapper="select"  required="true"/>
                </c:if>
                <x:hidden name="meins"/>
                <x:selectC name="raube" label="存储条件" required="true" labelCol="1" fieldCol="2" dictionary="raube"/>
                <x:inputC name="brgew" label="毛重" labelCol="1" fieldCol="2"/>
                <x:selectC name="gewei" label="重量单位" labelCol="1" fieldCol="2" dictionary="gewei"/>
                <x:inputC name="volum" label="体积" labelCol="1" fieldCol="2"/>
                <x:selectC name="voleh" label="体积单位" labelCol="1" fieldCol="2" dictionary="voleh"/>
                <!--x:inputC name="iprkz" label="有效时间标识" labelCol="1" fieldCol="2"/-->
                <x:selectC name="iprkz" label="有效时间标识" required="false" labelCol="1" fieldCol="2" dictionary="iprkz"/>
                <x:inputC name="mhdhb" label="总有效期" labelCol="1" fieldCol="2"/>

                <x:inputC name="mhdrz" label="最小货架寿命" labelCol="1" fieldCol="2" required="true"/>
                <x:inputC name="normt" label="适用行业标准" labelCol="1" fieldCol="2"/>

                <x:inputC name="length" label="长度cm" labelCol="1" fieldCol="2" mask="999999.9999"/>
                <x:inputC name="widthCm" label="宽度cm" labelCol="1" fieldCol="2" mask="999999.9999"/>
                <x:inputC name="thickness" label="厚度cm" labelCol="1" fieldCol="2" mask="999999.9999"/>
                <x:inputC name="weight" label="克重g" labelCol="1" fieldCol="2" mask="999999.9999"/>
                <x:inputC name="singleThickness" label="单层厚" labelCol="1" fieldCol="2" mask="999999.9999"/>
                    <x:inputC name="klart" label="类型" labelCol="1" fieldCol="2" readonly="true"/>
                    <x:inputC name="classify" label="分类" labelCol="1" fieldCol="2" readonly="true"/>
                <c:if test="${applyType==1}">
                    <x:selectC name="lvorm" label="集团级删除" required="false" labelCol="1" fieldCol="2" dictionary="lvorm"/>
                    <x:inputC name="disableReason" label="禁用原因" required="false" labelCol="1" fieldCol="2"/>
                    <x:inputC name="enableReason" label="启用原因" required="false" labelCol="1" fieldCol="2"/>
                </c:if>
             </div>
        </div>
         <div class="hg-form-cols">
            <div class="hg-form-row">
                <x:textareaC rows="3" name="maktxRemZh" label="中文文本说明" labelCol="1" fieldCol="11"/>
                <x:textareaC rows="3" name="maktxRemEn" label="英文文本说明" labelCol="1" fieldCol="11"/>
            </div>
            <c:if test="${applyType==2}">
                <div class="hg-form-row">
                    <x:checkbox name="isAll" label="全选"  />
                    <x:checkboxListC name="businessUsage" label="业务用途" dictionary="serviceusage" labelCol="1"
                                     fieldCol="8" />
                </div>
            </c:if>
            <c:if test="${applyType==1}">
                <div class="hg-form-row">
                    <x:checkboxListC name="businessUsage" label="业务用途" dictionary="serviceusage" labelCol="1"
                                     fieldCol="11" disabled="true"/>
                </div>
            </c:if>
            <c:if test="${applyType==0}">
                <div class="hg-form-row">
                    <x:checkbox name="isAll" label="全选"  />
                    <x:checkboxListC name="businessUsage" label="业务用途" dictionary="serviceusage" labelCol="1"
                                     fieldCol="8"/>
                </div>
            </c:if>
        </div>
        <div class="hg-form-cols">
        </div>
        <div class="hg-form-cols" id="distributeDiv">
            <div class="hg-form-row">
                <x:inputC name="werksName" label="工厂" required="false" labelCol="1" fieldCol="2" wrapper="select"/>
                <x:hidden name="werks"/>
                <x:inputC name="lgortName" label="库存地点" required="false" labelCol="1" fieldCol="2" wrapper="select"/>
                <x:hidden name="lgort"/>
                <x:inputC name="lgtypName" label="存储类型" required="true" labelCol="1" fieldCol="2" wrapper="select"/>
                <x:hidden name="lgtyp"/>
                <x:selectC name="mtvfp" label="可用性检查组" labelCol="1" fieldCol="2" required="false" dictionary="mtvfp"/>
            </div>
        </div>
            <div id="businessUsageDiv">
                <div class="hg-form-cols" id="saleDiv">
                    <x:title title="销售" name="group"/>
                    <div class="hg-form-row">
                        <x:inputC name="vkorgName" label="销售组织" required="true"  labelCol="1" wrapper="select" fieldCol="2"/>
                        <x:hidden name="vkorg"/>
                        <x:inputC name="vtwegName"  label="分销渠道" required="true" labelCol="1" wrapper="select" fieldCol="2"/>
                        <x:hidden name="vtweg"/>
                        <x:inputC name="vrkmeName" label="销售计量单位" labelCol="1" fieldCol="2" wrapper="select"/>
                        <x:hidden name="vrkme"/>
                        <x:inputC name="umrenSale" label="转换分母" labelCol="1" fieldCol="2"/>
                        <x:inputC name="umrezSale" label="转换分子" labelCol="1" fieldCol="2"/>
                        <x:inputC name="dwerkName" label="交货工厂" labelCol="1" fieldCol="2" wrapper="select"/>
                        <x:hidden name="dwerk"/>

                        <x:inputC name="alandName" label="税收发运国" labelCol="1" fieldCol="2" required="false" wrapper="select"/>
                        <x:hidden name="aland"/>

                        <x:selectC name="taxkm" label="税分类" labelCol="1" fieldCol="2" required="false" dictionary="taxkm"/>
                        <x:selectC name="versg" label="统计组" labelCol="1" fieldCol="2" dictionary="versg"/>
                        <x:selectC name="kondm" label="物料定价组" labelCol="1" fieldCol="2" dictionary="kondm"/>
                        <x:selectC name="ktgrm" label="会计科目组" labelCol="1" fieldCol="2" required="false" dictionary="ktgrm"/>
                        <%--<x:selectC name="prodh" label="产品层级" labelCol="1" fieldCol="2" dictionary="productLevels"/>--%>
                        <x:inputC name="prodh" label="产品层级" labelCol="1" fieldCol="2"/>
                        <x:inputC name="mvgr1" label="品牌" labelCol="1" fieldCol="2" wrapper="select"/>
                        <x:selectC name="mvgr2" label="产品经营类型" labelCol="1" fieldCol="2" dictionary="mvgr2"/>
<%--                        <x:inputC name="mvgr3" label="用途" labelCol="1" fieldCol="2"/>--%>
<%--                        <x:inputC name="mvgr4" label="备用1" labelCol="1" fieldCol="2"/>--%>
<%--                        <x:inputC name="mvgr5" label="备用2" labelCol="1" fieldCol="2"/>--%>

                        <x:selectC name="mtpos" label="销售项次组" labelCol="1" fieldCol="2" dictionary="mtposMara"/>
                        <!--x:selectC name="xchpf" label="批次管理" labelCol="1" fieldCol="2" dictionary="xchpf"/-->
                        <x:selectC name="tragr" label="运输组" labelCol="1" fieldCol="2" dictionary="tragr"/>
                        <x:hidden name="ladgr"/>
                        <x:inputC name="ladgrName" label="装载组" labelCol="1" fieldCol="2" required="false"  wrapper="select"/>
                    </div>
                </div>

                <div class="hg-form-cols" id="purchaseDiv">
                    <x:title title="采购" name="group"/>
                    <div class="hg-form-row">

                        <!--x:hidden name="werks"/-->
                        <!--x:inputC name="werksName" label="工厂" labelCol="1" fieldCol="2" wrapper="select"/-->
                        <x:inputC name="bstmeName" label="采购计量单位" labelCol="1" fieldCol="2" wrapper="select"/>
                        <x:hidden name="bstme"/>
                        <x:inputC name="umrenPurch" label="转换分母" labelCol="1" fieldCol="2"/>
                        <x:inputC name="umrezPurch" label="转换分子" labelCol="1" fieldCol="2"/>
                        <x:inputC name="ekgrpName" label="默认采购组" labelCol="1" fieldCol="2" required="false" wrapper="select"/>
                        <x:hidden name="ekgrp"/>
                        <x:selectC name="mmsta" label="工厂特定的物料状态" labelCol="1" fieldCol="2" dictionary="mmsta"/>

                    </div>
                </div>

                 <div class="hg-form-cols" id="mrpDiv">
                    <x:title title="MRP" name="group" />
                    <div class="hg-form-row">
                            <%--<x:selectC name="disgr" label="MRP组" labelCol="1" fieldCol="2" dictionary="disgr"/>--%>
                            <x:selectC name="dismm" label="MRP类型" labelCol="1" fieldCol="2" dictionary="dismm"/>

                            <x:inputC name="minbe" label="重订货点" labelCol="1" fieldCol="2" required="false"/>
                            <x:selectC name="dispo" label="MRP控制者" labelCol="1" fieldCol="2" required="false" dictionary="dispo"/>
                            <x:selectC name="disls" label="批量规模" labelCol="1" fieldCol="2" required="false" dictionary="disls"/>
                            <x:inputC name="bstfe" label="固定批量" labelCol="1" fieldCol="2"/>
                            <x:inputC name="bstma" label="最大批量" labelCol="1" fieldCol="2"/>
                            <x:inputC name="bstmi" label="最小批量" labelCol="1" fieldCol="2"/>
                            <x:inputC name="mabst" label="最大存货水平" labelCol="1" fieldCol="2"/>
                            <x:inputC name="bstrf" label="舍入值" labelCol="1" fieldCol="2"/>
                            <x:selectC name="beskz" label="获取类型" labelCol="1" fieldCol="2" dictionary="beskz" required="false"/>

                            <x:selectC name="sobsl" label="特殊获取方式" labelCol="1" fieldCol="2" dictionary="sobsl" required="false"/>


                            <x:selectC name="rgekz" label="倒冲标志" labelCol="1" fieldCol="2" dictionary="rgekz"/>
                            <x:inputC name="webaz" label="收货处理天数" labelCol="1" fieldCol="2"/>
                            <x:inputC name="dzeit" label="自制时间" labelCol="1" fieldCol="2"/>
                            <x:inputC name="fhori" label="排程边际码" labelCol="1" fieldCol="2" required="false"/>


                            <x:inputC name="eisbe" label="安全库存" labelCol="1" fieldCol="2" required="false" mask="9999999999999.999"/>
                            <x:inputC name="eislo" label="最小安全库存" labelCol="1" fieldCol="2"/>


                            <x:selectC name="strgr" label="策略组" labelCol="1" fieldCol="2" dictionary="strgr"/>

                            <x:inputC name="wzeit" label="补货提前天数" labelCol="1" fieldCol="2" mask="999"/>
                            <x:selectC name="sbdkz" label="独立/集中" labelCol="1" fieldCol="2" dictionary="sbdkz"/>

                        <x:selectC name="vrmod" label="消耗模式" labelCol="1" fieldCol="2" dictionary="vrmod"/>
                        <x:inputC name="vint1" label="逆推消耗期间" labelCol="1" fieldCol="2" mask="99999"/>
                        <x:inputC name="vint2" label="顺推消耗期间" labelCol="1" fieldCol="2" mask="99999"/>
                        <x:hidden name="miskz"/>
                        <%--<x:selectC name="miskz" label="综合MRP" labelCol="1" fieldCol="2"  dictionary="MISKZ"/>--%>

                        <x:selectC name="perkz" label="期间标识" labelCol="1" fieldCol="2"  dictionary="perkz"/>
                        <x:inputC name="plifz" label="外采交货时间" labelCol="1" fieldCol="2"/>

                        </div>
                        <div class="hg-form-row">

                        <x:selectC name="diskz" label="库存地MRP标识" labelCol="1" fieldCol="2" dictionary="diskz"/>
                        <x:inputC name="lgproName" label="默认生产库存地" labelCol="1" fieldCol="2" wrapper="select"/>
                        <x:hidden name="lgpro"/>
                        <x:inputC name="lgfsbName" label="外部采购存储地点" labelCol="1" fieldCol="2" wrapper="select"/>
                        <x:hidden name="lgfsb"/>
                    </div>
                </div>

                <div class="hg-form-cols" id="produceDiv">
                    <x:title title="生产" name="group"/>
                    <div class="hg-form-row">
                        <x:inputC name="ausmeName" label="投料计量单位" labelCol="1" fieldCol="2"  wrapper="select"/>
                        <x:hidden name="ausme"/>
                        <x:inputC name="umrenProd" label="转换分母(生产)" labelCol="1" fieldCol="2"/>
                        <x:selectC name="ueetk" label="允许未限制的过量交货" labelCol="1" fieldCol="2" dictionary="ueetk"/>
                    </div>
                    <div class="hg-form-row">
                        <x:inputC name="fevor" label="生产主管" labelCol="1" fieldCol="2" wrapper="select" required="false"/>
                        <x:selectC name="sfcpf" label="生产计划参数文件" labelCol="1" fieldCol="2" dictionary="sfcpf"/>

                    </div>
                </div>


                <div class="hg-form-cols" id="storeDiv">
                    <x:title title="存储管理" name="group"/>
                    <div class="hg-form-row">

                        <x:inputC name="lgortQmName" label="库存地点" labelCol="1" fieldCol="2" wrapper="select"/>
                        <x:hidden name="lgortQm"/>
                        <!--x:inputC name="sernp" label="序列号参数" labelCol="1" fieldCol="2"/-->
                        <x:selectC name="sernp" label="序列号参数" labelCol="1" fieldCol="2" dictionary="sernp"/>

                        <!--x:inputC name="serlv" label="序列号水平" labelCol="1" fieldCol="2"/-->
                        <x:selectC name="serlv" label="序列号水平" labelCol="1" fieldCol="2" dictionary="serlv"/>
                        <x:selectC name="prctr" label="利润中心" labelCol="1" fieldCol="2" dictionary="PRCTR" required="false"/>
                        <x:selectC name="insmk" label="过账到质检" labelCol="1" fieldCol="2" dictionary="insmk"/>

                        <!--x:inputC name="sledBbd" label="过期日期"  wrapper="date" labelCol="1" fieldCol="2"/-->
                        <x:selectC name="sledBbd" label="过期日期" labelCol="1" fieldCol="2" dictionary="sledBbd"/>
                    </div>
                </div>


                <div class="hg-form-cols" id="warehouseDiv">
                    <x:title title="仓库管理" name="group"/>
                    <div class="hg-form-row">
                        <x:inputC name="lgnumName" label="仓库号" required="false" labelCol="1" fieldCol="2" wrapper="select"/>
                        <x:hidden name="lgnum"/>
                        <x:inputC name="lgortProfitName" label="库存地点" labelCol="1" fieldCol="2" wrapper="select"/>
                        <x:hidden name="lgortProfit"/>
                        <!--x:selectC name="lgnum" label="仓库号" labelCol="1" fieldCol="2" dictionary="lgnum"/-->

                        <x:inputC name="ltkzaName" label="存货下架存储类型" labelCol="1" fieldCol="2" required="false" wrapper="select"/>
                        <x:hidden name="ltkza"/>
                        <x:selectC name="lety1" label="仓库设施1类型" labelCol="1" fieldCol="2" required="false" dictionary="lety1"/>
                        <x:inputC name="lhmg1" label="仓库设施1存储数量" labelCol="1" fieldCol="2" required="false" mask="99999999"/>

                        <x:inputC name="lhme1Name" label="仓库设施1存储单位" labelCol="1" fieldCol="2" required="false" wrapper="select"/>
                        <x:hidden name="lhme1"/>

                        <x:inputC name="ltkzeName" label="存货上架存储类型" labelCol="1" fieldCol="2" required="false" wrapper="select"/>
                        <x:hidden name="ltkze"/>
                        <%--                <x:inputC name="lgbkzName" label="存储分区标识" labelCol="1" fieldCol="2" required="true" wrapper="select"/>--%>
                        <x:hidden name="lgbkz" value="001"/>

                    </div>
                </div>

                <div class="hg-form-cols" id="financialDiv">
                    <x:title title="财务核算" name="group"/>
                    <div class="hg-form-row">

                        <!--x:selectC name="bklas" label="评估分类" labelCol="1" fieldCol="2" dictionary="bklas"/-->
                        <x:inputC name="bklas" label="评估分类" labelCol="2" fieldCol="1" readonly="true"/>
                        <!--x:inputC name="mlast" label="价格确定" labelCol="1" fieldCol="2" required="false"/-->
                        <x:selectC name="vprsv" label="价格控制" labelCol="1" fieldCol="2" dictionary="vprsv" />
                        <x:selectC name="mlast" label="价格确定" labelCol="1" fieldCol="2" dictionary="mlast"/>

                        <x:inputC name="peinh" label="定价基数" labelCol="1" fieldCol="2" required="false"/>
                        <x:hidden name="ncost"/>
                        <x:selectC name="ncost" label="不参与成本核算" labelCol="2" fieldCol="1" dictionary="ncost" />
                        <x:selectC name="hkmat" label="物料来源" labelCol="2" fieldCol="1" dictionary="xchpf"/>
                        <x:inputC name="verpr" label="移动平均价" labelCol="1" fieldCol="2"/>
                        <x:inputC name="stprs" label="标准价" labelCol="1" fieldCol="2"/>

                    </div>
                    <div class="hg-form-row">
                        <x:selectC name="ekalr" label="根据数量结构进行成本核算" labelCol="2" fieldCol="1" dictionary="xchpf"/>
                        <x:inputC name="awsls" label="差异码" labelCol="1" fieldCol="2" readonly="true"/>
                        <x:inputC name="eklas" label="销售评估类" labelCol="1" fieldCol="2"/>
                    </div>
                </div>
            </div>
        <div class="hg-form-cols">
            <div class="hg-form-row">
                <div style="text-align: left;margin-top:10px;">
                    <img src='<c:url value="/images/photo.jpg"/>' height='200' width='170' border=0 id="showFrontPicture" onerror="src='<c:url value="/images/photo.jpg"/>';"/>
                    &nbsp;&nbsp;
                    <img src='<c:url value="/images/photo.jpg"/>' height='200' width='170' border=0 id="showBackPicture" onerror="src='<c:url value="/images/photo.jpg"/>';"/>

                </div>
                <div style="text-align: left;margin-top:20px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <x:button value="正面图片" id="addFrontPicture" icon="fa-hand-o-up"/>
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <x:button value="反面图片" id="addBackPicture" icon="fa-hand-o-up"/>
                </div>
            </div>
        </div>
    </form>
    <form class="hg-form" method="post" action="" style="display: none;" id="auditForm">
        <div class=" border-left-top" style="margin-top: 10px;">
            <div class=" gray-bg">
                <div class="col-xs-2 " style="text-align: center;margin-top: 30px">
                    <span>部门数据审核</span>
                </div>
                <div class="hg-form-cols">
                    <div class="hg-form-row">
                        <x:checkboxListC name="auditDept" label="驳回部门" list="auditDeptMap" labelCol="2"
                                         fieldCol="10"/>
                    </div>
                    <div id="rejectReasonBox"></div>
                    <div style="text-align: center">
                        <div class="btn-group" style="margin: 15px 0px 15px 0px;">
                            <button id="reject" title="" type="button" onclick="rejectForm()" class="btn btn-gray"><i
                                    class="fa fa-reply"></i>驳回
                            </button>
                            <button id="exPass" title="" type="button" class="btn btn-gray"><i
                                    class="fa fa-mail-forward"></i>检查通过
                            </button>
                            <button id="send" title="" type="button" onclick="distributeForm()"
                                    class="btn btn-gray"><i
                                    class="fa fa-send-o"></i>传输
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
    <div class="blank_div clearfix" ></div>
</div>

</body>
</html>
