package com.huigou.topsun.sap.processOutsource.domain.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Auther: xin.lu
 * @Date: 2024/08/02/9:42
 * @Description: 工序外协申请单
 */
@Data
public class ProcessOutsourceVo implements Serializable {

    @JsonProperty("ZTYPE")
    private String ztype;

    /**
     * 订单类型
     */
    @JsonProperty("BSART")
    private String bsart;

    /**
     * 申请人
     */
//    @JsonProperty("AFNAM")
//    private String personMemberName;

    /**
     * 公司代码
     */
    @JsonProperty("BUKRS")
    private String bukrs;

    /**
     * 采购组织
     */
    @JsonProperty("EKORG")
    private String ekorg;

    /**
     * 采购组
     */
    @JsonProperty("EKGRP")
    private String ekgrp;
    /**
     * 供应商编码
     */
    @JsonProperty("LIFNR")
    private String lifnr;

    @JsonProperty("ITEM")
    private List<ProcessOutsourceItemVo> item;

}
